<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2003 Shawn McKenzie
// http://spidean.mckenzies.net
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

function themeheader()
{
    $display = ob_get_contents();
    ob_end_clean();
    $newdisplay = str_replace("\n\n\n\n\n\n</head>", "", $display);

    if (isset($GLOBALS['oldtheme'])) {
        $thename = atThemeGetVar("thename");
        $oldtheme = $GLOBALS['oldtheme'];
        
        $newdisplay = str_replace(
            "<LINK REL=\"StyleSheet\" HREF=\"themes/$oldtheme/style/style.css\" TYPE=\"text/css\">",
            "<LINK REL=\"StyleSheet\" HREF=\"themes/$thename/style/style.css\" TYPE=\"text/css\">",
            $newdisplay
        );
    }
    ob_start("ob_gzhandler");
    echo $newdisplay;

    atThemeHeader();
}

function themefooter()
{
    atThemeFooter();
}

function themeindex($aid, $informant, $datetime, $title, $counter, $topic, $hometext, $notes, $morelink, $topicname, $topicimage, $topictext)
{
    $sid = $GLOBALS['sid'];
    $info = compact("sid", "aid", "informant", "datetime", "title", "counter", "topic", "hometext", "notes", "topicname", "topicimage", "topictext");
    $preformat = compact("morelink");
    $links = array();

    atRunningMultiSetVars(array_merge($links, $preformat, $info));

    atNewsSummary($info, $links, $preformat);
}

function themearticle($aid, $informant, $datetime, $title, $bodytext, $topic, $topicname, $topicimage, $topictext)
{
    $sid = $GLOBALS['sid'];
 	$info = compact("sid", "aid", "informant", "datetime", "title", "bodytext", "topic", "topicname", "topicimage", "topictext");
    $preformat = array();
    $links = array();

    atRunningMultiSetVars(array_merge($links, $preformat, $info));

    atNewsArticle($info, $links, $preformat);
}

function themesidebox($title, $content)
{
    $block = atRunningGetVar("block");
    
    $block['title'] = $title;
    $block['content'] = $content;

    if ($block['position'] == "d") {
    	$block['position'] = "c";
    }
    atThemeBlock($block);
}

?>
