<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2003 Shawn McKenzie
// http://spidean.mckenzies.net
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

function AutoThemeCheckTable()
{
    $dbi = $GLOBALS['dbi'];
    $prefix = $GLOBALS['prefix'];
    
    if ($result = sql_query("SELECT position from ".$prefix."_blocks", $dbi)) {
        $posfield = "position";
    }
    else {
        $result = sql_query("SELECT bposition from ".$prefix."_blocks", $dbi);
        $posfield = "bposition";
    }
    if (mysql_field_len($result, 0) == 255) {
        return true;
    }
    else {
        return $posfield;
    }
}

function AutoTheme_admin_updatetable($var)
{
    extract($var);

    $dbi = $GLOBALS['dbi'];
    $prefix = $GLOBALS['prefix'];

    sql_query("ALTER TABLE `".$prefix."_blocks` CHANGE `".$posfield."` `".$posfield."` VARCHAR( 255 ) NOT NULL", $dbi)
        or die(_DBMODIFYERROR);
    
    Header("Location: admin.php?module=". MOD_NAME ."&op=ablocks");
}

function list_mods($dir="modules")
{
    $modlist = array(
        "*AdminPages",
        "*HomePage",
        "*UserPages"
    );
    
    if ($handle = @opendir($dir)) {
        while (false !== ($subdir = @readdir($handle))) {
            if (@is_dir("$dir/$subdir") &&
                $subdir !== '.' &&
                $subdir !== '..' &&
                $subdir !== 'AutoTheme')
            {
                $modlist[] = $subdir;
            }
        }
        closedir($handle);
    }
    return $modlist;
}

function list_blocks()
{
    $dbi = $GLOBALS['dbi'];
    $prefix = $GLOBALS['prefix'];

    $result = sql_query("SELECT title FROM ".$prefix."_blocks ORDER BY title", $dbi);
    
    while (list($title) = sql_fetch_row($result)) {
        $blocklist[] = $title;
    }
    return $blocklist;
}

?>
